TilesException (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.TilesException,TilesException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TilesException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.struts.tiles.TilesException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DefinitionsFactoryException

public class TilesException
extends java.lang.Exception

Root class for all Tiles-exceptions.

Author:
  Cedric Dumoulin
See Also:
  Serialized Form

Field Summary
`private java.lang.Exception` | `exception` Any "wrapped" exception will be exposed when this is serialized.

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`TilesException()` Constructor.
`TilesException(java.lang.Exception e)` Create a new `TilesException` wrapping an existing exception.
`TilesException(java.lang.String message)` Constructor.
`TilesException(java.lang.String message, java.lang.Exception e)` Create a new `TilesException` from an existing exception.

Method Summary
`java.lang.Exception` | `getException()` Return the embedded exception, if any.
`java.lang.String` | `getMessage()` Return a detail message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exception

    private java.lang.Exception exception

  Any "wrapped" exception will be exposed when this is serialized.

Constructor Detail

### TilesException

    public TilesException()

  Constructor.

### TilesException

    public TilesException(java.lang.String message)

  Constructor.

Parameters:
  `message` - The error or warning message.

### TilesException

    public TilesException(java.lang.Exception e)

  Create a new `TilesException` wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the TilesException.

Parameters:
  `e` - The exception to be wrapped.

### TilesException

    public TilesException(java.lang.String message,
                          java.lang.Exception e)

  Create a new `TilesException` from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

Parameters:
  `message` - The detail message.
  `e` - The exception to be wrapped.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return a detail message for this exception.

  If there is a embedded exception, and if the TilesException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The error or warning message.

### getException

    public java.lang.Exception getException()

  Return the embedded exception, if any.

  Returns:
    The embedded exception, or `null` if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation